unit Unit2;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, jpeg, ExtCtrls, StdCtrls;

type
  TForm2 = class(TForm)
    Image1: TImage;
    Edit9: TEdit;
    Edit10: TEdit;
    Edit11: TEdit;
    Edit12: TEdit;
    Edit13: TEdit;
    Edit14: TEdit;
    Edit15: TEdit;
    Edit16: TEdit;
    Button1: TButton;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form2: TForm2;

implementation

uses Unit3;

{$R *.dfm}
type
  TEditArray  = array[1..8] of Tedit;
  TUitkomst = array[1..8] of integer;
Var
var1, var2: string;
result: real;
outfile: textfile;
goed: integer;
fout: integer;
  editArray : TEditArray;
  uitkomstenArray : TUitkomst;

Function Check (Test : string): boolean;
var
  getal, code : integer;
begin
      Val (test, getal, code);

      If (code <> 0) then
      begin
       Result := false;
       fout := fout +1;
      end
       else
      begin
       Result := true;
      end;
end;

procedure TForm2.Button1Click(Sender: TObject);
var
uitkomst1, uitkomst2, uitkomst3, uitkomst4, uitkomst5, uitkomst6, uitkomst7, uitkomst8, uitkomst9, uitkomst10: Integer;
i : integer;
begin
goed := 0;
fout := 0;
  var2 := 'REKENEN 1: Uitkomsten ';
  for i:=1 to 8 do
  begin
    if check(editArray[i].text) then
    begin
      Uitkomst1:= StrToInt (editArray[i].text);
      if (Uitkomst1 = uitkomstenArray[i]) then
      begin
        goed:= goed + 1;
      end
      else
      begin
         fout:= fout + 1;
      end;
    end;
    var2 := var2 + editArray[i].text + ', (' + IntToStr (uitkomstenArray[i]) +'), ';
  end;
  Assignfile(outfile, 'UitkomstenKind.txt');
  Append(outfile);
  WriteLn(outfile, Var2);
  closefile(outfile);

  result:= (goed / (goed + fout)) * 100;
  Showmessage ('Jij hebt ' + (intToStr(goed)) + ' goed en ' + (IntToStr(fout))+ ' fout!');
  Var1 := '           In totaal '+ IntToStr(goed)+ ' goed en '+IntToStr(fout) +' fout.  RESULT is '+FloatToStr(result)+ '% goed.';

  Assignfile(outfile, 'UitkomstenKind.txt');
  Append(outfile);
  WriteLn(outfile, Var1);
  closefile(outfile);
  form3.show;

 end;

procedure TForm2.FormCreate(Sender: TObject);
begin
  editArray[1] := edit9;
  editArray[2] := edit10;
  editArray[3] := edit11;
  editArray[4] := edit12;
  editArray[5] := edit13;
  editArray[6] := edit14;
  editArray[7] := edit15;
  editArray[8] := edit16;
  uitkomstenArray[1] := 5;
  uitkomstenArray[2] := 2;
  uitkomstenArray[3] := 9;
  uitkomstenArray[4] := 1;
  uitkomstenArray[5] := 35;
  uitkomstenArray[6] := 10;
  uitkomstenArray[7] := 27;
  uitkomstenArray[8] := 9;
end;

end.
